Retrieve a transaction status

This API is a request to retrieve the current status of a transaction.

  1. The data.status parameter in the 200 OK response has the following status types:
Status TypeStatus Meaning
1Pending - The transaction is initiated but not yet processed.
2Broadcasted - The transaction is announced to the network.
4Confirmed - The transaction has been validated and is now included in the blockchain.
5Canceled/Failed - The transaction has failed.
📘

Note

Status type 3 is reserved for internal use by Liminal.


  1. The following values are sliced to the decimal points:
    • value (8 decimal),
    • baseValue (8 decimal),
    • valueString (8 decimal),
    • baseValueString (8 decimal),
    • feeString (8 decimal), and
    • usd (5 decimal).

To retrieve details of a pending transaction, use the Retrieve pending transactions API.

Body Params
wallet
object
required
string

This is the unique identifier (ID) of the transaction, automatically generated by the system for tracking purposes.

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json; charset=utf-8